org.apache.olingo.server.api.debug

## Class DebugInformation

- java.lang.Object
- - org.apache.olingo.server.api.debug.DebugInformation

-     public class DebugInformation
      extends Object

  This class contains all information necessary to construct a debug response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataResponse` | `getApplicationResponse()` This method will return the ODataResponse which was filled by the Application or the library in an exception case.
    `Exception` | `getException()` This method will return any exception that was thrown from the application or library.
    `ODataRequest` | `getRequest()` This method will return the ODataRequest the library created.
    `List<RuntimeMeasurement>` | `getRuntimeInformation()` This method will return all runtime information which was collected inside the library.
    `Map<String,String>` | `getServerEnvironmentVariables()` A map containing information about the runtime environment.
    `UriInfo` | `getUriInfo()` The URI Info object the library created during URI parsing.
    `void` | `setApplicationResponse(ODataResponse applicationResponse)`
    `void` | `setException(Exception exception)`
    `void` | `setRequest(ODataRequest request)`
    `void` | `setRuntimeInformation(List<RuntimeMeasurement> runtimeInformation)`
    `void` | `setServerEnvironmentVariables(Map<String,String> serverEnvironmentVariables)`
    `void` | `setUriInfo(UriInfo uriInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugInformation

          public DebugInformation()

  - ### Method Detail

    - #### getRequest

          public ODataRequest getRequest()

      This method will return the ODataRequest the library created. This request will never be null but might be filled incompletely if there has been an exception during the request parsing.
      Returns:
        the ODataRequest the library built

    - #### setRequest

          public void setRequest(ODataRequest request)

    - #### getApplicationResponse

          public ODataResponse getApplicationResponse()

      This method will return the ODataResponse which was filled by the Application or the library in an exception case. The response might be null or might not be filled completely.
      Returns:
        the response filled by the application

    - #### setApplicationResponse

          public void setApplicationResponse(ODataResponse applicationResponse)

    - #### getUriInfo

          public UriInfo getUriInfo()

      The URI Info object the library created during URI parsing. Might be null if there was an exception during URI parsing.
      Returns:
        the URI Info Object

    - #### setUriInfo

          public void setUriInfo(UriInfo uriInfo)

    - #### getException

          public Exception getException()

      This method will return any exception that was thrown from the application or library. Will be null if there was no exception.
      Returns:
        an exception if thrown.

    - #### setException

          public void setException(Exception exception)

    - #### getServerEnvironmentVariables

          public Map<String,String> getServerEnvironmentVariables()

      A map containing information about the runtime environment. Depending on the servlet or webserver used this map might contain different information. Will never be null but might be empty.
      Returns:
        environment variables

    - #### setServerEnvironmentVariables

          public void setServerEnvironmentVariables(Map<String,String> serverEnvironmentVariables)

    - #### getRuntimeInformation

          public List<RuntimeMeasurement> getRuntimeInformation()

      This method will return all runtime information which was collected inside the library. Might be null if no data could be collected.
      Returns:
        runtime information collected by the library

    - #### setRuntimeInformation

          public void setRuntimeInformation(List<RuntimeMeasurement> runtimeInformation)

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.